int main(void)
{
    /* Initialized data */

    static int n1 = 8;
    static int n2 = 8;
    static float d1 = .25f;
    static float d2 = .25f;
    static float alp = .03f;
    static float p = 1.f;

    /* Builtin functions */
    double exp(double);

    /* Local variables */
    static float h__[4];
    static int i__, i, j, l;
    static float t, t1, t2,
                 ai[64]  /* was [8][8] */, fi[64]  /* was [8][8] */,
                 gi[64]  /* was [8][8] */, ar[64]  /* was [8][8] */,
                 fr[64]  /* was [8][8] */, gr[64]  /* was [8][8] */,
                 xi[64]  /* was [8][8] */, xr[64]  /* was [8][8] */;
    extern int ec02c_c(float *, float *, float *, float *, int *, int *,
            float *, float *, float *, float *, int *, float *, float *,
            float *);
    int i__1, i__2;

#define ai_ref(a_1,a_2) ai[(a_2)*8 + a_1 - 9]
#define fi_ref(a_1,a_2) fi[(a_2)*8 + a_1 - 9]
#define gi_ref(a_1,a_2) gi[(a_2)*8 + a_1 - 9]
#define ar_ref(a_1,a_2) ar[(a_2)*8 + a_1 - 9]
#define fr_ref(a_1,a_2) fr[(a_2)*8 + a_1 - 9]
#define gr_ref(a_1,a_2) gr[(a_2)*8 + a_1 - 9]
#define xi_ref(a_1,a_2) xi[(a_2)*8 + a_1 - 9]
#define xr_ref(a_1,a_2) xr[(a_2)*8 + a_1 - 9]

    i__1 = n1;
    for (i__ = 1; i__ <= i__1; ++i__) {
        i__2 = n2;
        for (j = 1; j <= i__2; ++j) {
            t1 = d1 * (-n1 / 2 + i__ - 1);
            t2 = d2 * (-n2 / 2 + j - 1);
            t = t1 * t1 + t2 * t2;
            ar_ref(i__, j) = (float)exp((float)(-t));
            ai_ref(i__, j) = 0.f;
            gr_ref(i__, j) = (float)exp((float)(-t / 2.f)) * 1.57079632679f;
            gi_ref(i__, j) = 0.f;
            xr_ref(i__, j) = (float)exp((float)(-t));
/* L1: */
            xi_ref(i__, j) = 0.f;
        }
    }
    for (i = 1; i <= 8; ++i) {
    printf("\n %16.7e %16.7e %16.7e %16.7e \n %16.7e %16.7e %16.7e %16.7e \n",
            ar_ref(i, 1), ar_ref(i, 2), ar_ref(i, 3), ar_ref(i, 4),
            ar_ref(i, 5), ar_ref(i, 6), ar_ref(i, 7), ar_ref(i, 8));
    }
    printf("\n");
    for (i = 1; i <= 8; ++i) {
    printf("\n %16.7e %16.7e %16.7e %16.7e \n %16.7e %16.7e %16.7e %16.7e \n",
            ai_ref(i, 1), ai_ref(i, 2), ai_ref(i, 3), ai_ref(i, 4),
            ai_ref(i, 5), ai_ref(i, 6), ai_ref(i, 7), ai_ref(i, 8));
    }
    printf("\n");
    for (i = 1; i <= 8; ++i) {
    printf("\n %16.7e %16.7e %16.7e %16.7e \n %16.7e %16.7e %16.7e %16.7e \n",
            gr_ref(i, 1), gr_ref(i, 2), gr_ref(i, 3), gr_ref(i, 4),
            gr_ref(i, 5), gr_ref(i, 6), gr_ref(i, 7), gr_ref(i, 8));
    }
    printf("\n");
    for (i = 1; i <= 8; ++i) {
    printf("\n %16.7e %16.7e %16.7e %16.7e \n %16.7e %16.7e %16.7e %16.7e \n",
            gi_ref(i, 1), gi_ref(i, 2), gi_ref(i, 3), gi_ref(i, 4),
            gi_ref(i, 5), gi_ref(i, 6), gi_ref(i, 7), gi_ref(i, 8));
    }
    printf("\n");
    for (i = 1; i <= 8; ++i) {
    printf("\n %16.7e %16.7e %16.7e %16.7e \n %16.7e %16.7e %16.7e %16.7e \n",
            xr_ref(i, 1), xr_ref(i, 2), xr_ref(i, 3), xr_ref(i, 4),
            xr_ref(i, 5), xr_ref(i, 6), xr_ref(i, 7), xr_ref(i, 8));
    }
    printf("\n");
    for (i = 1; i <= 8; ++i) {
    printf("\n %16.7e %16.7e %16.7e %16.7e \n %16.7e %16.7e %16.7e %16.7e \n",
            xi_ref(i, 1), xi_ref(i, 2), xi_ref(i, 3), xi_ref(i, 4),
            xi_ref(i, 5), xi_ref(i, 6), xi_ref(i, 7), xi_ref(i, 8));
    }
    l = 1;
    ec02c_c(ar, ai, gr, gi, &n1, &n2, &d1, &d2, &alp, &p, &l, h__, fr, fi);
    l = 2;
    ec02c_c(ar, ai, gr, gi, &n1, &n2, &d1, &d2, &alp, &p, &l, h__, fr, fi);

    printf("\n\n %16.7e %16.7e %16.7e %16.7e \n\n",
            h__[0], h__[1], h__[2], h__[3]);
    for (i = 1; i <= 8; ++i) {
    printf("\n %16.7e %16.7e %16.7e %16.7e \n %16.7e %16.7e %16.7e %16.7e \n",
            fr_ref(i, 1), fr_ref(i, 2), fr_ref(i, 3), fr_ref(i, 4),
            fr_ref(i, 5), fr_ref(i, 6), fr_ref(i, 7), fr_ref(i, 8));
    }
    printf("\n");
    for (i = 1; i <= 8; ++i) {
    printf("\n %16.7e %16.7e %16.7e %16.7e \n %16.7e %16.7e %16.7e %16.7e \n",
            fi_ref(i, 1), fi_ref(i, 2), fi_ref(i, 3), fi_ref(i, 4),
            fi_ref(i, 5), fi_ref(i, 6), fi_ref(i, 7), fi_ref(i, 8));
    }
    return 0;
} /* main */

#undef xr_ref
#undef xi_ref
#undef gr_ref
#undef fr_ref
#undef ar_ref
#undef gi_ref
#undef fi_ref
#undef ai_ref
